textures/rocket2/fence_c10_light
{
    qer_editorimage textures/alpha/fence_c10_light.tga
    surfaceparm roofsteps
    surfaceparm nomarks
    nomipmaps
    nopicmip
    cull disable
    surfaceparm metalsteps
    {
        map textures/alpha/fence_c10_light.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/rocket2/light_c01_4k
{
    //bright white KP light
    q3map_lightimage textures/lights/light_c01.blend.tga
    qer_editorimage textures/lights/light_c01.tga
    q3map_surfacelight 2000
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_c01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c01.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rocket2/light_m11_blue_2500
{

    qer_editorimage textures/rocket2/light_m11_blue.tga
    q3map_surfacelight 2500
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/rocket2/light_m11_blue.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/rocket2/light_m11_blue.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rocket2/saftey_glass
{
	qer_editorimage textures/common/s_glass.tga		
	surfaceparm alphashadow
	surfaceparm glass 
	cull disable
	qer_trans 	0.5
	surfaceparm trans
	nomipmaps
	nopicmip

	{
		map textures/common/s_glass2.tga
	        alphaFunc GE128
	        depthWrite
		rgbGen vertex
	}
}

textures/rocket2/sign_rocket_dir
{
    nopicmip
	{
		map textures/rocket2/sign_rocket_dir.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/sign_roofdanger
{
    nopicmip
	{
		map textures/rocket2/sign_roofdanger.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/sign_train_dir
{
    nopicmip
	{
		map textures/rocket2/sign_train_dir.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/halt_button_on
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/halt_button_on.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/videotest
{
	{
		videomap video/mp_rocket.roq
		rgbGen identity
	}
}

textures/rocket2/luff2
{
	polygonOffset
	entityMergable
	{
		map textures/rocket2/luff2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/doggy
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/doggy.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/beam_dusty2
{
	nocompress
	qer_editorimage textures/rocket2/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nopicmip
	{
		map textures/rocket2/beam_1.tga
                blendFunc add
        }
}

textures/rocket2/truss_m06a
{
	qer_editorimage textures/alpha/truss_m06a.tga
    surfaceparm alphashadow
    //nomipmaps
    nopicmip
    cull disable
    {
        map textures/alpha/truss_m06a.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/rocket2/truss_m06
{
	qer_editorimage textures/alpha/truss_m06.tga
    surfaceparm alphashadow
    //nomipmaps
    nopicmip
    cull disable
    {
        map textures/alpha/truss_m06.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/skies/sky_tram_hacked3
{
	nocompress
	qer_editorimage textures/skies/sky_7.tga
	q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_skylight 30 3
	skyparms full 200 -


	
	{
		map textures/skies/newclouds2.tga
//		tcMod scroll 0.0005 0.0001
		tcMod scale 16.0 16.0
		depthWrite
	}

	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
		tcMod scroll 0.001 0.00
		tcMod scale 2 1
	}
}

textures/sfx/fog_cave
{
	qer_editorimage textures/sfx/fog.tga
        qer_trans 0.3
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 0
	fogparms ( .040 .050 .06 ) 512
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}